Companies

Update Company

Update an existing company.

PUT
/api/v1/companies/{companyId}

Update an existing company. Changing the VAT number or enterprise number revokes any open verification sessions for the company. If the company was already verified, its verification status is also revoked and the company must be verified again. Changing the country is only possible while no verification of the company has started and it is not registered on the Peppol network; the company then moves to the network registration of the new country, its default identifiers are replaced with the new country's, and any identifier you added yourself has to be valid for the new country. Afterwards, create a new company instead, or contact support@recommand.eu.

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/companies/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "company": {    "id": "c_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "teamId": "team_01JQZ8X0M4T7RB6K9V2NDHW3PA",    "name": "Recommand BV",    "address": "Kortrijksesteenweg 1092",    "postalCode": "9051",    "city": "Gent",    "country": "BE",    "enterpriseNumberScheme": "0208",    "enterpriseNumber": "1012081766",    "vatNumber": "BE1012081766",    "email": "billing@example.com",    "phone": "+32 9 396 20 39",    "isSmpRecipient": true,    "isVerified": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}